(function($) {
    $doc = $(document);

    $doc.ready( function() {

    
        function get_posts($params) {

            $container = $('#container-async');
            $content   = $container.find('.content');
                $status    = $container.find('.status');

            $status.text('正在加载 ...');

            $.ajax({
                        url: jsonvue.ajax_url,
                        data: {
                            action: 'do_filter_posts',
                    nonce: jsonvue.nonce,
                    params: $params
                        },
                        type: 'post',
                        dataType: 'json',
                        success: function(data, textStatus, XMLHttpRequest) {
                    
                            if (data.status === 200) {
                                $content.html(data.content);
                            }
                            else if (data.status === 201) {
                                $content.html(data.message);    
                            }
                            else {
                                $status.html(data.message);
                            }
                     },
                     error: function(MLHttpRequest, textStatus, errorThrown) {

                    $status.html(textStatus);
                    
                    /*console.log(MLHttpRequest);
                    console.log(textStatus);
                    console.log(errorThrown);*/
                     },
                complete: function(data, textStatus) {
                    
                    msg = textStatus;

                    
                    if (textStatus === 'success') {
                        msg = data.responseJSON.found;
                    }

                    $status.text('已显示: '+ msg+'篇文章');

                    
                    
                    /*console.log(data);
                    console.log(textStatus);*/
                }
            });
        }

     
        $('#container-async').on('click', 'a[data-filter], .pagination a', function(event) {
            if(event.preventDefault) { event.preventDefault(); }

            $this = $(this);

        
            if ($this.data('filter')) {
                $this.closest('ul').find('.active').removeClass('active');
                $this.parent('li').addClass('active');
                $page = $this.data('page');
            }
            else {
              
                $page = parseInt($this.attr('href').replace(/\D/g,''));
                $this = $('.nav-filter .active a');
            }
            

            $params    = {
                'page' : $page,
                'tax'  : $this.data('filter'),
                'term' : $this.data('term'),
                'qty'  : $this.closest('#container-async').data('paged'),
            };

          
            get_posts($params);
        });
        
        $('a[data-term="all-terms"]').trigger('click');
    });

})(jQuery);